unit extra;

interface
uses Use32,dos,VPUtils;

procedure cursoroff;
procedure cursoron;
function UpperCase (S : String) : String;
Function GetCurTimeSecs : Integer;
procedure elapsed(time1_hour, time1_min, time1_sec, time2_hour, time2_min,
                  time2_sec: longint; var elap_hour, elap_min, elap_sec: longint);
Procedure Convert_To_ANSI (var MyStr : String);

implementation

procedure cursoroff;
begin
  HideCursor;
end;

procedure cursoron;
begin
  ShowCursor;
end;

function UpperCase (S : String) : String;
var
  TempInt : Integer;
begin
  For TempInt := 1 to Length(S) do
    S[TempInt] := UpCase(S[TempInt]);
  UpperCase := S;
end;

Function GetCurTimeSecs : Integer;
var
  h, m, s, hund : LongInt;
begin
  GetTime(h,m,s,hund);
  GetCurTimeSecs := (h * 60 * 60) + (m * 60) + s;
end;

procedure elapsed(time1_hour, time1_min, time1_sec, time2_hour, time2_min,
                  time2_sec: longint; var elap_hour, elap_min, elap_sec: longint);
var
 a,b,c: longint;
begin;
 if time1_hour<time2_hour then time1_hour:=time1_hour+24;
 a:=(time1_hour*3600)+(time1_min*60)+time1_sec;
 b:=(time2_hour*3600)+(time2_min*60)+time2_sec;
 c:=a-b;
 if c>=3600 then elap_hour:=c div 3600 else elap_hour:=0;
 c:=c-((c div 3600)*3600);
 if c>=60 then elap_min:=c div 60 else elap_min:=0;
 c:=c-((c div 60)*60);
 elap_sec:=c;
end;

(*************************************************************)
 Procedure Convert_To_ANSI (var MyStr : String);
(*************************************************************)
Var
  DummyInt : Integer;
  AnsiStr : String;
Begin
  DummyInt := 0;
  Repeat
    if Pos ('`', MyStr) <> 0 then
    begin
      DummyInt := Pos('`', MyStr) + 2;
        Case MyStr[DummyInt] of
          '0': AnsiStr := #27 + '[0;30;';
          '1': AnsiStr := #27 + '[0;34;';
          '2': AnsiStr := #27 + '[0;32;';
          '3': AnsiStr := #27 + '[0;36;';
          '4': AnsiStr := #27 + '[0;31;';
          '5': AnsiStr := #27 + '[0;35;';
          '6': AnsiStr := #27 + '[0;33;';
          '7': AnsiStr := #27 + '[0;37;';
          '8': AnsiStr := #27 + '[1;30;';
          '9': AnsiStr := #27 + '[1;34;';
          'A': AnsiStr := #27 + '[1;32;';
          'B': AnsiStr := #27 + '[1;36;';
          'C': AnsiStr := #27 + '[1;31;';
          'D': AnsiStr := #27 + '[1;35;';
          'E': AnsiStr := #27 + '[1;33;';
          'F': AnsiStr := #27 + '[1;37;';
        end;
      DummyInt := DummyInt - 1;
        Case MyStr[DummyInt] of
          '0': AnsiStr := AnsiStr + '40m';
          '1': AnsiStr := AnsiStr + '44m';
          '2': AnsiStr := AnsiStr + '42m';
          '3': AnsiStr := AnsiStr + '46m';
          '4': AnsiStr := AnsiStr + '41m';
          '5': AnsiStr := AnsiStr + '45m';
          '6': AnsiStr := AnsiStr + '43m';
          '7': AnsiStr := AnsiStr + '47m';
        end;
      Delete (MyStr, DummyInt - 1, 3);
      Insert (AnsiStr, MyStr, DummyInt - 1);
    End;
  Until Pos ('`', MyStr) = 0;
End;


begin
end.
